Summary:	XML-RPC EPI library - an implementation of the xmlrpc protocol
Name:		xmlrpc-epi
Version:	0.51
Release:	2ied00
License:	BSD
Group:		Development/Libraries
Source0:	http://prdownloads.sourceforge.net/xmlrpc-epi/%{name}-%{version}.tar.gz
Patch0:		%{name}-system-expat.patch
URL:		http://xmlrpc-epi.sourceforge.net/
BuildRequires:	autoconf, automake, libtool
BuildRequires:	expat-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It
provides an easy to use API for developers to serialize RPC requests
to and from XML. It doesn't include a transport layer, such as
HTTP. The API is primarily based upon proprietary code written for
internal usage at Epinions.com, and was later modified to incorporate
concepts from the xmlrpc protocol. It passed the xmlrpc validation
test suite in December 2000.

%package devel
Summary:	Header files etc to develop XML-RPC applications
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files etc needed to develop XML-RPC applications.

%prep
%setup -q
%patch0 -p1

%{__rm} -f missing
libtoolize --force --copy
aclocal
autoconf
#autoheader
automake --add-missing

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --with-pic --prefix=%{_prefix} --program-prefix=xmlrpc-epi- --includedir=%{_includedir}/%{name}
%{__make} %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} prefix=$RPM_BUILD_ROOT%{_prefix} includedir=$RPM_BUILD_ROOT%{_includedir}/%{name} install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_bindir}/*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README COPYING
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.a
%{_includedir}/%{name}/*.h

%changelog
* Mon Feb 16 2004 Wei He <hewei@ied.org.cn> 0.51-2ied00
- Rebuilt on RHEL 3

* Sat May 10 2003 Wei He <hewei@ied.org.cn> 0.51-1ied
- Made buildable on RedHat 9
- Based on the PLD package

